<?php

namespace Types;
use Doctrine\DBAL\Types\Type;
use Doctrine\DBAL\Platforms\AbstractPlatform;



abstract class EnumType extends Type {
	protected $name;
	protected $values = array();
	
	public function getSQLDeclaration(array $fieldDeclaration,AbstractPlatform $platform ) {
		
		$values = array_map(function($val) {
			return "'".$val."'";
		},$this->values);
		
		/// ENUM('value','value2')
		return "ENUM(".implode(", ", $values).")";
	}
	
	public function convertToPHPValue($value,AbstractPlatform $platform) {
		return array("publish" =>$value);
	}
	
	public function convertToDatabaseValue($value,AbstractPlatform $platform) {
		if(!in_array($value, $this->values)) {
			throw new \InvalidArgumentException("   ". $value);
		}
		return $value;
	}
	
	public function getName() {
		return $this->name;
	}
}

