<?php
use Doctrine\ORM\Tools\Setup;
use Doctrine\ORM\EntityManager;
use Doctrine\Common\EventManager;
use Doctrine\ORM\Events;
use Events\MyEventListener;
use Events\MyEventSubscriber;

use Doctrine\DBAL\Types\Type;
use Types\EnumPublishType;


require "vendor/autoload.php";
require_once 'vendor/doctrine/common/lib/Doctrine/Common/ClassLoader.php';

$classLoader = new \Doctrine\Common\ClassLoader('Repositories');
$classLoader->register();

$classLoaderEvents = new \Doctrine\Common\ClassLoader('Events');
$classLoaderEvents->register();

$classLoaderFilters = new \Doctrine\Common\ClassLoader('Filters');
$classLoaderFilters->register();

$classLoaderTypes = new \Doctrine\Common\ClassLoader('Types');
$classLoaderTypes->register();

$isDevMode = true;

$config = Setup::createAnnotationMetadataConfiguration(array("src"), $isDevMode);

$config->addFilter("title","\Filters\TitleFilter");

$eventManager = new EventManager();
$eventManager->addEventListener(array(Events::prePersist), new MyEventListener());
$eventManager->addEventSubscriber(new MyEventSubscriber());

//$config = Setup::createXMLMetadataConfiguration(array("config/xml"), $isDevMode);
//$config = Setup::createYAMLMetadataConfiguration(array("config/yml"), $isDevMode);

$connection = array(
					"dbname" => "doctrine",
					"user" => "root",
					"password" => "",
					"host" => "localhost",
					"driver" => "pdo_mysql"
					);
					
Type::addType('enumpublish','Types\EnumPublishType');					
					
$entityManager = EntityManager::create($connection,$config,$eventManager);					